ChangeSet 1.1276.1.23, 2003/08/27 10:51:29-07:00, bellucda@tiscali.it

[PATCH] Audit and minor cleanups in drivers/usb/*

- if usb_register fails report back its return code rather than -1


 drivers/usb/misc/uss720.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/misc/uss720.c b/drivers/usb/misc/uss720.c
--- a/drivers/usb/misc/uss720.c	Tue Sep  2 12:45:15 2003
+++ b/drivers/usb/misc/uss720.c	Tue Sep  2 12:45:15 2003
@@ -653,11 +653,14 @@
 
 static int __init uss720_init(void)
 {
-	if (usb_register(&uss720_driver) < 0)
-		return -1;
+	int retval;
+	retval = usb_register(&uss720_driver);
+	if (retval)
+		goto out;
 
 	info(DRIVER_VERSION ":" DRIVER_DESC);
-	return 0;
+out:
+	return retval;
 }
 
 static void __exit uss720_cleanup(void)
